/*--------------- Новости ---------------*/
.news {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 55px;
  height: 500px;
  width: 100%;
  margin: auto;
  margin-top: 20px;
}
.news > div {
  display: flex;
  align-items: center;
  width: 100%;
  overflow: hidden;
  height: 100%;
}
.post {
  padding: 1rem 2%;
  margin: 0 1%;
  border: 3px solid var(--color-grey);
  background-color: var(--color-light-grey);
  min-height: 300px;
  min-width: 98%;
  max-width: 98%;
  left: -100%;
  display: flex;
  flex-direction: column;
  position: relative;
  transition: .5s;
  -webkit-transition: .5s;
  overflow: hidden;
}
.post-img {
  margin-bottom: 20px;
  align-self: center;
}
.post-date {
  color: var(--color-red);
  font-size: .8rem;
}
.post-title {
  margin-top: 10px;
  font-size: 1rem;
  text-align: justify;
}
.post-summary {
  margin-top: 10px;
  font-size: 1rem;
  word-wrap: break-word;
  overflow: hidden;
  display: none;
  text-align: justify;
}
.post-categories {
  margin-top: 10px;
  color: var(--color-sea);
  font-size: .8rem;
}
.post-btn {
  position: relative;
  padding-top: 10px;
  align-self: center;
  margin-top: auto;
}
.post-btn > .btn {
  background-color: var(--color-light-grey);
}
.post-active .post-btn {
  display: inline-block;
}
.special-news > li {
  padding: .5em 0;
}
.special-news > li a {
  text-decoration: underline;
}
.slider-container {
  padding-top: 40px;
  position: relative;
  width: 100%;
}
.slider-btns {
  display: flex;
  position: absolute;
  top: calc(50% - 50px);
  width: 100%;
  background-color: transparent;
}
.btn-prev, .btn-next {
  cursor: pointer;
}
.btn-prev:before, .btn-next:before {
  font-family: 'Font Awesome 5 Free';
  font-size: 3.125rem;
}
.btn-prev:before {
  content: '\f104';
}
.btn-next:before {
  content: '\f105';
}
.slider-btns .btn-next {
  margin-left: auto;
}
/*--------------- Breakpoints ---------------*/
@media (min-width: 414px){
  .news {
    height: 550px;
  }
  .post-date, .post-categories {
    font-size: .8rem;
  }
  .post-title {
    font-size: 1.1rem;
  }
  .post-summary {
    font-size: 1rem;
  }
}
@media (min-width: 576px){
  .news {
    height: 600px;
  }
  .post-date, .post-categories {
    font-size: .9rem;
  }
  .post-title {
    font-size: 1.125rem;
  }
  .post-summary {
    font-size: 1rem;
  }
  .post-active {
    height: 100%;
  }
  .post-active .post-summary {
    display: block;
  }
  .post-btn {
    margin-left: auto;
  }
}
@media (min-width: 768px){
  .post-date, .post-categories {
    font-size: 1rem;
  }
  .post-title {
    font-size: 1.25rem;
    margin-top: 20px;
  }
  .post-summary {
    margin-top: 20px;
    font-size: 1.1rem;
  }
  .post-categories {
    margin-top: 20px;
  }
}
@media (min-width: 992px){
  .news {
    height: 800px;
  }
  .post {
    min-width: 29%;
    max-width: 29%;
    left: 0;
    min-height: 500px;
  }
  .post-show {
    min-width: 29%;
    max-width: 29%;
    visibility: visible;
    opacity: 1;
  }
  .post-active {
    min-width: 36%;
    max-width: 36%;
  }
  .post-date, .post-categories {
    font-size: .9rem;
  }
  .post-title {
    font-size: 1.125rem;
  }
  .post-summary {
    font-size: 1rem;
  }
  .post-btn {
    display: none;
  }
}
@media (min-width: 1400px){
  .post-date, .post-categories {
    font-size: 1rem;
  }
  .post-title {
    font-size: 1.25rem;
  }
  .post-summary {
    font-size: 1.1rem;
  }
}
